Name:          autofs
Version:       5.1.2
Release:       1mamba
Summary:       Userspace tools that work with the kernel to mount and un-mount removable file systems
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kernel.org
Source:        http://ftp.kernel.org/pub/linux/daemons/autofs/v5/autofs-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
BuildRequires: libopenldap-devel
BuildRequires: libsasl2-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
%systemd_requires
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Autofs package contains userspace tools that work with the kernel to mount and un-mount removable file systems. The primary use is to mount external network file systems like NFS (see NFS Utilities-1.2.7) or Samba (see Samba-3.6.12) on demand.
It may also be useful for allowing users to mount floppies, cdroms and other removable storage devices without requiring the system administrator to mount the devices.

%debug_package

%prep
%setup -q

%build
%configure \
   --with-systemd=%{_unitdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post autofs
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
   systemctl -q enable autofs
fi
:

%preun
%systemd_preun autofs
:

%postun
%systemd_postun_with_restart autofs
:

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/auto.master
%config(noreplace) %{_sysconfdir}/auto.misc
%config(noreplace) %{_sysconfdir}/auto.net
%config(noreplace) %{_sysconfdir}/auto.smb
%config(noreplace) %{_sysconfdir}/autofs_ldap_auth.conf
%config(noreplace) %{_sysconfdir}/autofs.conf
%{_unitdir}/autofs.service
%{_sysconfdir}/sysconfig/autofs
%{_sbindir}/automount
%dir %{_libdir}/autofs
%{_libdir}/autofs/lookup_*.so
%{_libdir}/autofs/mount_*.so
%{_libdir}/autofs/parse_amd.so
%{_libdir}/autofs/parse_sun.so
%{_mandir}/man5/auto.master.5*
%{_mandir}/man5/autofs.5*
%{_mandir}/man5/autofs.conf.5*
%{_mandir}/man5/autofs_ldap_auth.conf.5*
%{_mandir}/man8/autofs.8*
%{_mandir}/man8/automount.8*
%doc COPYING CREDITS
#%doc README README.active-restart README.changer README.ncpfs README.replicated-server README.smbfs README.v5.release

%changelog
* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Thu May 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1-2mamba
- rebuilt with systemd

* Wed Apr 22 2015 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic version update by autodist

* Wed Jun 11 2014 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Sat Mar 29 2014 Automatic Build System <autodist@mambasoft.it> 5.0.9-1mamba
- automatic version update by autodist

* Thu Oct 24 2013 Automatic Build System <autodist@mambasoft.it> 5.0.8-1mamba
- automatic update by autodist

* Thu Jun 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.7-1mamba
- package created by silvan using the webbuild interface
